MediaPortal Windows Media Center

Site navigation


Last Edit

Page last modified 10:47, 26 Jul 2011 by Dadeo
MediaPortal Wiki > MediaPortal 1 > Contribute > Skins > Skin Related Changes > 1.1.0 to 1.2.0 > MPE Tools with Version Check

MPE Tools with Version Check

Was this page helpful?

    Purpose

    • Required:  Yes
    • Type of Change:  Feature

    The MediaPortal Extension (MPE) Tools (MPEInstaller and MPEMaker) will now will have a version checking mechanism for both plugins and skins by implementing the  Version Compatibility features added to 1.2.0

    Description of Change

    In MPEMaker:

    1. A MediaPortal dependency is now required.
    2. Also, the version number for this dependency has changed. Instead of being based on the "public" MP version, the version is based on the "internal API" version (this is the version used by the Version Check for plugins mechanism, currently 1.1.6.27644). If this dependency is missing from your project, it will be added automatically when saving it.
    3. If your extension provides plugins (.dll files whose install location are in %Plugins%), the source .dlls will be scanned and appropriate version information will be placed in the .xmp2 and update.xml files when saving the project. (The same information found in the attributes in your AssemblyInfo.cs or on your plugin classes)
    4. If your extension provides a skin (determined by checking if it provides a references.xml file), a Skin dependency is added with the version number taken from the references.xml file when saving the project.

    In MPEInstaller:

    1. MPEInstaller will refuse to install any extension that does not meet the dependencies stated above. This means that all existing extensions will show as incompatible in the new MPEInstaller.
    2. Changed text color of "Ignore updated" in MPEI
    3. Fixed issues regarding temp files not being cleaned up after failure nor successes. Also temp files are not saved to wrong folder (LocalAppdata) anymore
    4. Added a dependency list dialog to MPEI. MPEI will ask user to display dialog if check fails and can also be opened by clicking on red warning icons.

    Additional Changes

    In addition, several bugs and enhancements,. not related to Version Check, have been added:

    1. MPE Tools also include fixes for some DPI issues (large fonts issues) and for Mantis3547: Uninstalling extensions fails to remove the first added file.
    2. in MPEInstaller:
      1. Changed text color of "Ignore updated" in MPEI.
      2. Fixed issues regarding temp files not being cleaned up after failure nor successes. Also temp files are not saved to wrong folder (LocalAppdata) anymore.
      3. Fixed bug where MPEI would say an extension is incompatible if the plugins it provides has versioning info but doesn't specify subsystems used.
      4. Added a dependency list dialog to MPEI. MPEI will ask user to display dialog if check fails and can also be opened by clicking on red warning icons.
    3. In MPEMaker:
      1. Fixed MPEMaker not respecting line breaks after loading.

    Implementation

    In most cases, you just need to re-save your project using the new MPEMaker.

    The only exception is if you had already provided a MediaPortal dependency in the dependencies section. If that's the case, you need to modify the version info to be 1.1.6.27644 in the Minimum field. In the maximum version field you should put the designedforVersion in Compatible Version, which usually is the same as the minimum version (for now).  See Attribute Description and Usage > Compatible Version on the Version Compatibility Wiki page for further details.

    Creating a 1.1.x MPEInstaller

    Q. Can I still make an installer that will work with MediaPortal 1.1.x?

    A. No, you can't, due to MPEMaker enforcing a minimum version on the MediaPortal dependency that is higher than 1.1.x.

    enlightened TIP: You can work around it. After saving your .xmp2 with MPEMaker, just open the .xmp2 with text editor and either change the version numbers for the MP dependency, remove it altogether, or change the warnonly tag to true.

    Additional Information and References

    Mantis Issue: 3570, 3547
    Related files: .xmp2 MPE Maker project file; update.xml;  .mpe1 installer
    Windows IDs: n/a
    Related GUI control: n/a
    Author: Migue
    Date added: Tue, 26 Jul 2011

    Screenshots

     

     




    Running the latest version?

    V1.7.0 - released April 2014
    Releasenews | Download
    Changelog
     | Requirements
    HTPC
    Team-MediaPortal
     
    About
    Contact |  Press
    Partners